com.smartxls

## Class PictureShape

- java.lang.Object
- - com.smartxls.ShapeObj
  - - com.smartxls.PictureShape

-     public class PictureShape
      extends ShapeObj

  This class represents a picture shape object.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getHeightEmu()`
    `byte[]` | `getPictureData()` write picture image data to specified stream
    `int` | `getPictureType()` get picture image data type
    `int` | `getWidthEmu()`
    `void` | `setAspectRatioLocked(boolean b)`
    `void` | `setSizeEMUs(long width, long height)`
    `void` | `setSizePixels(int width, int height)`

    - ### Methods inherited from class com.smartxls.ShapeObj

      `getBottom, getFormat, getLeft, getName, getPos, getRight, getTop, setAutoLayoutDirection, setFormat, setName, setPosition`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getPictureData

          public byte[] getPictureData()
                                throws java.lang.Exception

      write picture image data to specified stream
      Returns:
        image data
      Throws:
        `java.lang.Exception` - exception

    - #### getPictureType

          public int getPictureType()
                             throws java.lang.Exception

      get picture image data type
      Returns:
        image type -1 gif 5 jpg 6 png 7 dib
      Throws:
        `java.lang.Exception` - exception

    - #### getWidthEmu

          public int getWidthEmu()

    - #### getHeightEmu

          public int getHeightEmu()

    - #### setAspectRatioLocked

          public void setAspectRatioLocked(boolean b)

    - #### setSizePixels

          public void setSizePixels(int width,
                                    int height)

    - #### setSizeEMUs

          public void setSizeEMUs(long width,
                                  long height)